requirejs(['tinyMCE', 'rogoconfig'], function (tinyMCE, config) {
  tinyMCE.init({
    mode: "specific_textareas",
    editor_selector: "editorStandard",
    theme: "advanced",
    language : 'en',
    language_load : true,
    skin: "default",
    plugins: "table,visualchars,nonbreaking,xhtmlxtras",
    // Theme options
    theme_advanced_buttons1: "cut,copy,paste,|,undo,|,bold,italic,|,sub,sup,|,justifyleft,justifycenter,justifyright,|,numlist,bullist,|,tablecontrols,|,code",
    theme_advanced_buttons2: "",
    theme_advanced_buttons3: "",
    theme_advanced_toolbar_location: "top",
    theme_advanced_toolbar_align: "left",
    theme_advanced_path: false,
    theme_advanced_statusbar_location: "none",
    // Example content CSS (should be your site CSS)
    content_css: config.cfgrootpath + "/css/editor.css",


    setup: function (ed) {
      ed.onInit.add(function (ed, evt) {
        var dom = ed.dom;
        tinymce.dom.Event.add(dom.getRoot(), 'blur', function (e) {
          // Do something when the editor window is blured.
          tinyMCE.triggerSave();
        });
      });
      // If there is no text content, return nothing.
      // After http://alastairc.ac/2010/03/removing-emtpy-html-tags-from-tinymce/
      ed.onPostProcess.add(function (ed, o) {
        var text = o.content;

        if (text != '') {
          text = text.replace(/^(<div>&nbsp;<\/div>\s*)+/, '');
          text = text.replace(/^(<p>&nbsp;<\/p>\s*)+/, '');
          text = text.replace(/^(<div><\/div>\s*)+/, '');
          text = text.replace(/^(<p><\/p>\s*)+/, '');
          text = text.replace(/^(<br \/>\s*)+/, '');
          text = text.replace(/^\s*/, '');
        }
        o.content = text;
      });
    }
  });
});
