define(["three"],function(THREE){return function(manager){this.manager=void 0!==manager?manager:THREE.DefaultLoadingManager,this.propertyNameMapping={},this.load=function(url,onLoad,onProgress,onError){var scope=this,loader=new THREE.FileLoader(this.manager);loader.setResponseType("arraybuffer"),loader.load(url,function(text){onLoad(scope.parse(text))},onProgress,onError)},this.setPropertyNameMapping=function(mapping){this.propertyNameMapping=mapping},this.parse=function(data){function parseHeader(data){var patternHeader=/ply([\s\S]*)end_header\s/,headerText="",headerLength=0,result=patternHeader.exec(data);null!==result&&(headerText=result[1],headerLength=result[0].length);for(var currentElement,lineType,lineValues,header={comments:[],elements:[],headerLength:headerLength},lines=headerText.split("\n"),i=0;i<lines.length;i++){var line=lines[i];if(""!==(line=line.trim()))switch(lineValues=line.split(/\s+/),lineType=lineValues.shift(),line=lineValues.join(" "),lineType){case"format":header.format=lineValues[0],header.version=lineValues[1];break;case"comment":header.comments.push(line);break;case"element":void 0!==currentElement&&header.elements.push(currentElement),currentElement={},currentElement.name=lineValues[0],currentElement.count=parseInt(lineValues[1]),currentElement.properties=[];break;case"property":currentElement.properties.push(function(propertValues,propertyNameMapping){var property={type:propertValues[0]};return"list"===property.type?(property.name=propertValues[3],property.countType=propertValues[1],property.itemType=propertValues[2]):property.name=propertValues[1],property.name in propertyNameMapping&&(property.name=propertyNameMapping[property.name]),property}(lineValues,scope.propertyNameMapping))}}return void 0!==currentElement&&header.elements.push(currentElement),header}function parseASCIINumber(n,type){switch(type){case"char":case"uchar":case"short":case"ushort":case"int":case"uint":case"int8":case"uint8":case"int16":case"uint16":case"int32":case"uint32":return parseInt(n);case"float":case"double":case"float32":case"float64":return parseFloat(n)}}function parseASCIIElement(properties,line){for(var values=line.split(/\s+/),element={},i=0;i<properties.length;i++)if("list"===properties[i].type){for(var list=[],n=parseASCIINumber(values.shift(),properties[i].countType),j=0;j<n;j++)list.push(parseASCIINumber(values.shift(),properties[i].itemType));element[properties[i].name]=list}else element[properties[i].name]=parseASCIINumber(values.shift(),properties[i].type);return element}function parseASCII(data,header){var result,buffer={indices:[],vertices:[],normals:[],uvs:[],colors:[]},patternBody=/end_header\s([\s\S]*)$/,body="";null!==(result=patternBody.exec(data))&&(body=result[1]);for(var lines=body.split("\n"),currentElement=0,currentElementCount=0,i=0;i<lines.length;i++){var line=lines[i];if(""!==(line=line.trim())){currentElementCount>=header.elements[currentElement].count&&(currentElement++,currentElementCount=0);var element=parseASCIIElement(header.elements[currentElement].properties,line);handleElement(buffer,header.elements[currentElement].name,element),currentElementCount++}}return postProcess(buffer)}function postProcess(buffer){var geometry=new THREE.BufferGeometry;return buffer.indices.length>0&&geometry.setIndex(buffer.indices),geometry.setAttribute("position",new THREE.Float32BufferAttribute(buffer.vertices,3)),buffer.normals.length>0&&geometry.setAttribute("normal",new THREE.Float32BufferAttribute(buffer.normals,3)),buffer.uvs.length>0&&geometry.setAttribute("uv",new THREE.Float32BufferAttribute(buffer.uvs,2)),buffer.colors.length>0&&geometry.setAttribute("color",new THREE.Float32BufferAttribute(buffer.colors,3)),geometry.computeBoundingSphere(),geometry}function handleElement(buffer,elementName,element){if("vertex"===elementName)buffer.vertices.push(element.x,element.y,element.z),"nx"in element&&"ny"in element&&"nz"in element&&buffer.normals.push(element.nx,element.ny,element.nz),"s"in element&&"t"in element&&buffer.uvs.push(element.s,element.t),"red"in element&&"green"in element&&"blue"in element&&buffer.colors.push(element.red/255,element.green/255,element.blue/255);else if("face"===elementName){var vertex_indices=element.vertex_indices||element.vertex_index;3===vertex_indices.length?buffer.indices.push(vertex_indices[0],vertex_indices[1],vertex_indices[2]):4===vertex_indices.length&&(buffer.indices.push(vertex_indices[0],vertex_indices[1],vertex_indices[3]),buffer.indices.push(vertex_indices[1],vertex_indices[2],vertex_indices[3]))}}function binaryRead(dataview,at,type,little_endian){switch(type){case"int8":case"char":return[dataview.getInt8(at),1];case"uint8":case"uchar":return[dataview.getUint8(at),1];case"int16":case"short":return[dataview.getInt16(at,little_endian),2];case"uint16":case"ushort":return[dataview.getUint16(at,little_endian),2];case"int32":case"int":return[dataview.getInt32(at,little_endian),4];case"uint32":case"uint":return[dataview.getUint32(at,little_endian),4];case"float32":case"float":return[dataview.getFloat32(at,little_endian),4];case"float64":case"double":return[dataview.getFloat64(at,little_endian),8]}}function binaryReadElement(dataview,at,properties,little_endian){for(var result,element={},read=0,i=0;i<properties.length;i++)if("list"===properties[i].type){var list=[];result=binaryRead(dataview,at+read,properties[i].countType,little_endian);var n=result[0];read+=result[1];for(var j=0;j<n;j++)result=binaryRead(dataview,at+read,properties[i].itemType,little_endian),list.push(result[0]),read+=result[1];element[properties[i].name]=list}else result=binaryRead(dataview,at+read,properties[i].type,little_endian),element[properties[i].name]=result[0],read+=result[1];return[element,read]}var geometry,scope=this;if(data instanceof ArrayBuffer){var text=THREE.LoaderUtils.decodeText(new Uint8Array(data)),header=parseHeader(text);geometry="ascii"===header.format?parseASCII(text,header):function(data,header){for(var result,buffer={indices:[],vertices:[],normals:[],uvs:[],colors:[]},little_endian="binary_little_endian"===header.format,body=new DataView(data,header.headerLength),loc=0,currentElement=0;currentElement<header.elements.length;currentElement++)for(var currentElementCount=0;currentElementCount<header.elements[currentElement].count;currentElementCount++){result=binaryReadElement(body,loc,header.elements[currentElement].properties,little_endian),loc+=result[1];var element=result[0];handleElement(buffer,header.elements[currentElement].name,element)}return postProcess(buffer)}(data,header)}else geometry=parseASCII(data,parseHeader(data));return geometry}}});